About C-Organizer Pro

C-Organizer Professional is a stylish and powerful manager of your personal and business-related information. The program employs a simple and user-friendly interface to make working with this software simple and intuitive. C-Organizer Professional was created to help you plan your personal and professional life. This application contains Tasks List, Address Book, Notes, Alarm, and Calendar of Events. It will remind you about coming up birthdays, appointments, holidays, and scheduled tasks. This software can also launch any program or turn off your computer at specified time. The program is placed in the system tray for easy access.

For your comfort, information in C-Organizer Professional is represented as a flexible tree-like (hierarchical) structure. The program is integrated with installed email client and Web browser. For limitation of access to your personal information, you can protect your data by password.

Enjoy C-Organizer Professional!

C-Organizer Development Team:

E-mail: info@CSoftLab.com

Web: http://www.CSoftLab.com

Copyright (c) 2000-2003 CSoftLab


Installation and system requirements

System requirements:

C-Organizer Professional requires Windows 95/98/ME/NT4/2000/XP environment.

It will not work under Windows 3.xx and Windows NT 3.xx.

Additional requirements:

  • 16 MB of RAM

  • 10 MB of free space on your hard disk

Installation Guide

  • If you have installed an older version of this software, before starting the installation, be sure that the C-Organizer is not running.

  • Run the installation of the new version and follow the instructions.

  • If you have installed an older version of this software, do not uninstall it before installing the newer version. Install a newer version over the older one instead. This helps you to keep all the program data in the new version.

Uninstallation Guide

  • Be sure that the C-Organizer is not running.

  • Run the "uninstall" from the C-Organizer Pro folder on your Start menu or from Add/Remove Programs of Control Panel.


How to upgrade C-Organizer v 1.x to the further versions

Since version 2.0, the program has been working with a new data format.

If you have installed an older version of C-Organizer, please install this version into the different folder (by default C-Organizer will be installed into "C-Organizer Pro" folder).

Make sure, that the old version of C-Organizer is not started.

Run the new version of C-Organizer and select Import function. To open the Import dialog box, select Import... on the File menu (in the main window of the program).

Select the format of the imported file: C-Organizer files up to the version 2.0 (*.cds).

Select the source file from a folder of the old version:

Tasks.cds - Tasks List database

Addrbook.cds - Address Book database

Alarm.cds - Alarms database

Notes.cds - Notes database

Press the "Import" button and you will see the dialog box showing the import progress indicator. After completing the import, the appropriate message will appear.


Multilanguage interface

Since the version 2.2 C-Organizer supports the multilanguage interface.

To switch between languages please select the File -> Language main menu item.

Localization:

The localization facility of our products allows you to have the products in your native language.

Our goal is to have the user interface of our software translated to the most popular world languages. And we feel that a native speaker can make the translation to his/her native language the best way. So, if you can help us with the translation to your language, please send us an e-mail. If your language is available (nobody is currently working on translation to the language), we'll send you our Localization tool.

You are welcome to write to us:

localization@CSoftLab.com

Please send us your completed translation. We'll check it out, and, if it's good, we'll grant you a free license for C-Organizer.


C-Organizer Pro overview

In the left part of the program's main window, the calendar and buttons for choices between the different program's modes are located: Tasks List, Address Book, Alarm, Notes and Events. The right part is intended for showing the available information. In the top of the window, there is a main menu which can help you to access practically all functions of the program. If you're closing the window by pressing the button, "Close window", at the upper right corner of the window, the program will be minimized to system tray and it will continue to run there. If you want to quit the program, use the command "File-> Exit" " of the main menu. You can also right click the C-Organizer Pro icon in the system tray and then select "Exit". For easy access to the program, at start C-Organizer Pro creates an icon in system tray near the Windows system clock. This icon displays the current date.

You can open the main program's window by clicking this icon with the left mouse button, or if you click the right mouse button, you will see a popup menu with the most frequently used functions of the program:

  • Organizer - opens the main window of the application, just as the left mouse button click does.

  • Today - if you choose this mode, you will see a window in which the information about birthdays in your Address Book, tasks for reminder and events for this day is displayed.

  • Options - the program settings.

  • Exit - exit from the program (is similar to the command "File-> Exit" of the main menu).


How use a calendar

The calendar in the main window displays the information for the selected month. At the top of the calendar, there are buttons to change the month and year and to display the days of week. On the left part, the number of weeks is indicated. The current date on a calendar is shown in the blue color of the font. The selected date is outlined with a red frame.

When in Tasks List or Alarm modes, you will see the records only for the day which is selected on the calendar. Also, the calendar dates for which you have created tasks, are shown in a bold font, and near to the calendar dates for which you have created alarms, picture [image] is displayed. This is for easy planning of your tasks. For fast transition to today's date, simply right click the calendar and select "Go to today".

Double click on any date to see a "Today" window in which the information about birthdays in your Address Book, tasks for reminder and events for this day is displayed.


Tasks List overview

Tasks List is designed for planning your personal time. It allows you to create tasks and groups of tasks (ToDo lists). Each task has a built-in reminder and the option for setting the percent of completion and the priority of the task. For convenience, you can sort the tasks by clicking the time [image] button or the priority [image] button. The dates for which you created tasks are displayed in the calendar with a bold font. This shows at a glance the dates for which you have tasks created.

The"Tasks List" mode displays the tasks only for the selected date in the calendar. To easily move tasks to another date or group, the program supports Drag & Drop technology. You simply drag the task with the mouse to the intended group or date in the calendar.

All tasks and groups can be made repeating. It is not necessary to create identical tasks. It is enough to make them repeating. Repeating tasks are indicated by the [image] icon. If the task has a built-in reminder, then icon [image] is displayed. If the reminder has already taken place or is not set, it is displayed as [image].


Tasks List - adding new task

For adding a new task to Tasks List, press the [image] button or double click the left mouse button on an empty line in the tasks area. You may also use the Ins or Ctrl + N Hot Keys.

Then you will see a window for entering the information about the task.

The description of fields for information input:

  • Task - the brief description of the task.

  • Description - the full description of the task.

  • Begin Date/Time - the beginning date and time of the task.

  • End Date/Time - the planned end date and time. To enter this information, it is necessary to mark the check box next to the date. It is not necessary to set up the end date and time for a task that is not repeating. This option indicates the period when the task is active.

  • Remind - the date and time of a reminder for the task. To input this information, mark the check box next to the date). Having set this option, you will receive a reminder of the task at the indicated time.

  • Completed - percent of the task completed. If the task is completed, you can press the button [image] to set this value to 100%.

  • Priority - priority of the task. You can select a high, normal or low priority. You will see an appropriate icon for this task in the Tasks List area for a high and low priority.

Repeat options:

  • End Date - the end date of the period for repeating a task. Do not confuse this date with the end date of the task. Having selected End Date in Repeat Options, you limit its repetitions by the date set. For example, you can repeat the task daily up to any date. It is not necessary to set up this date if the task has the type of repeating, "One time".

  • Repeat - repeating intervals for the task. Choices are: "One time" (no repeating takes place), "Daily", "Weekly", "Monthly", and "Annually". If you want to set a task to be repeating and you find it necessary to indicate the End Date/Time for this task, you have to select the End Date/Time in such a way that the duration of the task is not longer than the repeating interval. For example, if it is a weekly task, the task duration can not be more than 7 days.

After entering the necessary information, press the "Save" button to save.


Tasks List - editing task

To edit a task in the Tasks List, press the [image] button or double click the left mouse button on the title of this task in Tasks List area. You may also use the Enter of Ctrl + E Hot Keys.

The edit window with the current information about the task will open. Change the necessary information in this window.

For detailed information on the fields in this window, see Tasks List - adding new task.


Tasks List - adding new group

For adding a new tasks group in Tasks List, press the [image] button. You may also use the Ctrl + Ins or Ctrl + G Hot Keys. You will then see a window for entering all the information about the group.

The description of fields for information input:

  • Title - the name of this group.

  • Begin Date/Time - beginning date and time for the group.

  • End Date/Time - the planned end date and time. To enter this information, mark the check box next to the date. It is not necessary to set up the end date and time for a task that is not repeating. This option indicates the period when the task is active.

  • Completed - percent of group fulfillment. If tasks in this group are completed, you can press the button [image] for setting this value to 100%. The calculation of the percent of group completion is automatic, based on the data of percent of each task completion in this group.

  • Priority - priority of group. You can select a high, normal or low priority. You will see an appropriate icon for this task in Tasks List area for the high and low priority.

Repeat options:

  • End Date - the end date of the period for repeating a group. Do not confuse this date with the end date of the group. Having selected End Date in Repeat Options, you limit its repetitions by the date set. For example, you can repeat the group daily up to any date. It is not necessary to set up this date if the group has the type of repeating, "One time".

  • Repeat -repeating intervals for the task group. Choices are "One time" (no repeating takes place), "Daily", "Weekly", "Monthly", and "Annually". If you want to set a task to be repeating and you need to indicate the End Date/Time for this task, you have to select the End Date/Time in such a way that the duration of the task is not longer than the repeating interval. For example, if it is a weekly group, the group duration can not be more than 7 days).

After entering all the necessary information, press the "Save" button to save.


Tasks List - editing group

To edit a group, in Tasks List, press the [image] button or double click the left mouse button on the title of this group in Tasks List area. You may also use the Enter or Ctrl + E Hot Keys.

The edit window with the current information about the group will open. You may change the necessary information in this window.

For detailed information on the fields in this window, see Tasks List - adding new group.

Note:

If you change the duration for the group, so that the durations its tasks differ from the duration of the group, upon saving the information, you will receive a message to that effect.

In this case, press the "Open tasks" button and edit the date/time of the beginning or the date/time of the ending for the tasks of the group. If this group contains several tasks, you can move between them by pressing the [image] and [image] buttons.


Tasks List - adding a new task for the group

For adding a new task in the group, in Tasks List, you must select the group or any record in this group and then press [image] button. You may also use the Ins or Ctrl + N Hot Keys.

You will then see the window for entering all the information about the task.

The description of fields for information input:

  • Group info - information about the name, begin and end dates of the group. This information is read only. If you want to make changes, you must use editing the group. See Tasks List - editing group for more details.

  • Task - brief description of the task.

  • Description - - full description of the task.

  • Begin Date/Time - beginning date and time of the task. This value should be between the begin date/time and the end date/time of the group. By default, this value is equal to the begin date/time of the group.

  • End Date/Time - the planned end date and time of the task (to input this information, mark the check box next to the date). This value should be between the begin date/time and the end date/time of the group. By default, this value is equal to the end date/time of the group.

  • Remind - the date and time of a reminder for the task To enter this information, mark the check box next to the date. When you select this option, you will receive a reminder about the task at the indicated time.

  • Completed - percent of the completion of the task. If the task is completed, you can press the button [image] to set this value to 100%.

  • Priority - priority of the task. You can select a high, normal or low priority. You will see an icon for a high and low priority in the Tasks List area.

After entering all the necessary information, press the "Save" button.


Tasks List - editing task in the group

To edit a task in a group, in Tasks List press the [image] button or double click the left mouse button on the title of this task in Tasks List area. You may also use the Enter or Ctrl + E Hot Keys.

The edit window with the current information about the task will open. You can change information in this window.

For detailed information on the fields in this window, see Tasks List - adding a new task for the group.


Tasks List - deleting tasks or groups

To delete a task, a group, or a task inside a group, in Tasks List, press the button [image]. You may also use the Del or Ctrl + D Hot Keys.

Warning:

If you delete a group of tasks, all tasks inside of this group also will be deleted.


Tasks List - reminder

If you have set the time for a task reminder, the window of a reminder will appear, and the sound will be played (if the option to playback the sound is selected in the Tasks List Options ).

In this window shows the begin date time and the end date time of the task, plus its name and description. If the task is inside the group, the information about the name of group is displayed.

You can change a reminder about the task to the desired amount of minutes, by selecting the check box, "Remind in", and entering the amount of minutes. If there are reminders about several tasks, you can move between them by using the [image] and [image] buttons. For convenient operation with the program, you may view and edit tasks from the reminder window when it is open. To open the needed task, press the "Open" button.


Tasks List - print

To print tasks in the Tasks List, press the [image] button. You may also use the Ctrl + P Hot Keys.

The dialog box with the printing options will appear.

Here you can specify the period of time for which you want to print the information and report file destination. After selecting an option, press the "OK" button, and the print preview window will open.


Address Book overview

The Address Book is used to store any information about your contacts, including photos. It allows you to divide your entries into different groups, such as "Business", "Friends", "Family and Relatives", "Co-workers", etc. The automatic reminder feature will make sure you will never miss the birthdays of your friends and relatives. The internal search system will find any record in seconds. You must enter the first characters of the title record you want to find. Search is carried out only in headers of a root folder and in open folders.

In the Address Book area, you will see the full information about the selected record, including a photo if you click the left mouse button on the [image] icon. For closing this information, click the left mouse button on the [image] icon.

The Address Book is automatically integrated with the installed e-mail client and Web browser. If you add E-mail and/or Internet addresses to the Address Book card, you will then see appropriate icons for them in the Address Book area.

If you press the left mouse button on the [image] icon, you will see the list of E-mail addresses. If you choose any address from this list, your default email client will be opened for sending email to the selected address.

If you press the left mouse button on the [image] icon, you will see the list of Internet addresses. If you choose any address from this list, your default Web browser will open the web page with the selected address.

For easy and simple moving any of the records to other folders, the program supports Drag & Drop technology. Using the mouse, you can drag any record to the desired group.


Address Book - adding new record

To add a new record to the Address Book, press the [image] button or double click the left mouse button on an empty line in the Address Book area. You may also use the Ins or Ctrl + N Hot Keys.

After that you will see a window for input all necessary information about your contact.

The description of fields for information input:

  • Group title - the group name in which this address record is being created. This field is "read only". If the address record is created outside of a group, this field will be empty.

  • Record title - this information is displayed in the Address Book area.

  • E-Mail - the list of email addresses. Enter each address on a new line.

  • Internet - the list of Internet addresses. Enter each address on a new line.

  • Birthday - mark this check box to enter the date of birth.

  • Remind - enabled only if the date of birth is entered. Having selected this option, you can receive a reminder about a birthday for the amount of days set in the Address Book options.

To include a photo, press the [image] button and select the desired image file. The program supports *.bmp, *.jpg and *.jpeg images.

To delete an image, move mouse over photo and you'll see "Delete picture" button:

You can enter other information about your contact in the area for entering additional information.

This area is looks like a table where you may enter text in several lines. By default, this table contains a list of the most frequently used fields. During operation, you can change the names, number and order of these fields. You can save this fields collection us a template and use this template in future. For detailed information on the templates, see Address Book - using templates.

You can add a field by pressing the "Add new field" button. You can enter in it any name and any information. If you press the "Remove field" button, the selected field will be deleted. You can change the order of fields by pressing buttons "Move up" and "Move down".

After entering all necessary information, press the "Save" button.

Note:

If "Delete empty fields" checkbox is marked - after saving the record all empty fields in the additional table will be deleted.


Address Book - using templates

Using templates, you can save an existing fields collection in Address Book and to use it in future. To begin work with the templates press "Templates …" button at the top of the table of additional fields. You will see the dropdown menu:

Add from template.

Use this feature to select and add selected fields template to an exiting fields collection.

Change template.

Use this feature to select and replace an exiting fields collection with the selected fields template.

Be careful: all you entered information (field values) will be lost during this operation.

Save us template.

Click this item to save the current fields collection in one of the exiting templates or in the new template.

Settings....

Template settings dialog box lets you delete templates and choose a default template, as well.

All available templates are listed at the left.

Buttons:

"Delete template" – deletes selected template.

"Set us default" – assigning selected template us default template. It will be used in the new record for Address Book.

"Save" – save all information and close "Settings" window.

"Cancel" – cancel all the modifications and close "Settings" window.


Address Book - editing record

To edit any record in the Address Book, press the [image] button or double click the left mouse button on the title of this record in the Address Book area. You may also use the Enter or Ctrl + E Hot Keys.

Then edit window with the current information about your contact will open. It is possible to change necessary information in this window.

For detailed information on the fields in this window, see Address Book - adding new record.


Address Book - adding new folder

Address Book - adding new group

To create a new group in the Address Book, press the [image] button. You may also use the Ctrl + Ins or Ctrl + G Hot Keys.

You will see a window in which you can enter any group name.

Enter any group name and save information.


Address Book - editing folder

Address Book - editing group

To edit any group name in the Address Book, press the [image] button or double click the left mouse button on the title of this group in the Address Book area. You may also use the Enter or Ctrl + E Hot Keys.

The edit window where you may change the group name will open.

Change group name and save information.


Address Book - deleting records or folders

Address Book - deleting records or groups

To delete any record or group in the Address Book, press the [image]. button. You may also use the Del or Ctrl + D Hot Keys.

Warning:

If you delete a group, all records inside of this folder also will be deleted.


Address Book - reminder

If you select to be reminded about the birthday, you will see a reminder window at the launch of the program a number of days before the birthday. This number of days is defined in the Address Book Options.

The sound will be played if the option to playback is selected in Address Book Options.

This window shows the folder name that contains the record, record title and all entered information about this contact (except photo). Because of the integration of the Address Book and the installed email client and Web browser, you can create email or open any Internet addresses, if such information has been entered for the contact.

Press the left mouse button on the icons [image] and [image] and then select the address from the list. If no Email or Internet addresses are entered for the record, these icons are not displayed in the reminder window. You can move a reminder for the birthday to another day by selecting the check box "Remind again at" and selecting the new date.

Note:

If you do not need to move a reminder to another date, press the "OK" button and the reminder automatically will be set to the next year. You do not need to mark the "Remind again at" check box to set the next date for the birthday reminder.

If on this day, you have several reminders about birthdays, you can move between them by using [image] and [image] buttons.

For your convenience, you can view and edit records from the reminder window. To open a record, press the "Open" button.


Address Book - print

To print records in Address Book, press the [image] button. You may also use the Ctrl + P Hot Keys.

The dialog box with the printing options will appear.

In this window, you can specify whether you want to print the current record or all records for in the selected group, fields for printing and report file destination. After selecting an option, press the "OK" button and the print preview window will open.


Alarm overview

Alarm can display a message on your computer screen, play back a sound file, open a file, turn off the computer, reboot the computer or log off the current user at a certain time. In "Alarm" mode, only alarms set for the date selected in the calendar will be display. To make moving alarms to another date easier and simple, Drag & Drop technology is supported. You can drag with the mouse any alarm record to the desired date on the calendar.

All alarms can be made repeating. You do not need to create identical alarms. It is enough to make them repeating. If the alarm is repeating, the [image] icon is displayed. After execution of any alarm, this record will be automatically deleted*. If the alarm has expired for more than for 5 minutes after its set execution time, the alarm is ignored and the record will be deleted*.

The alarm message will remain on the screen until you acknowledge it or for the length of time defined in Alarm Options, after which the alarm message window will close and the alarm record will be deleted*.

------------------------------

(*) You can disable "Delete alarm if it has been used or has expired" option in Alarm Options window. In this case the used and expired alarms will not be deleted, and will be shown in the grey color of the font.


Alarm - adding new task

To add a new task in Alarm, press the [image] button or double click the left mouse button on an empty line in the Alarm area. You may also use the Ins or Ctrl + N Hot Keys.

Then you will see a window for input the necessary information about the alarm.

The description of fields for information input:

  • Begin Date/Time - date and time of alarm operation.

  • Action - the action to be executed by an alarm at start. Possible actions: Show message, Execute file, System shut down, System restart, User log off.

  • Message - the text of the message to be displayed on the screen (if the selected action is "Show message").

  • Execute file - a filename for execution. To choose the file, press [image] button (if the selected action is "Execute file").

Repeat options:

  • End Date - the end date for repeating alarm. Having selected End Date in Repeating options, you limit its repetitions by any date (for example, it is possible to repeat the alarm daily up to any date). It is not necessary to set up this date if the alarm has the type of repeating "One time".

  • Repeat - repeating intervals for the alarm. Choices are: "One time" (no repeating), "Daily", "Weekly", "Monthly", and "Annually".

After entering all the necessary information, press "Save" button.


Alarm - editing task

To edit an alarm, press the [image] button or double click the left mouse button on the title of this task in the Alarm area. You may also use the Enter or Ctrl + E Hot Keys.

The edit window with the current information about the alarm will open. You can then change any information in this window.

For detailed information on the fields in this window, see Alarm - adding new task.


Alarm - deleting task

For deleting an alarm record, press the [image] button. You can also delete a record by using Del or Ctrl + D Hot Keys.


Notes overview

Use the Notes section to store any information about your notes, important ideas, etc. For convenient usage and better organization, you can store the notes in various groups.

In the Notes area, you can see the full note by clicking the left mouse button on the [image] icon. To close the full note display, click the left mouse button on the [image] icon. You can also display a note by double clicking the left mouse button on the note title. Your note will appear on the screen as an electronic sticker.

You can change the background color of notes displayed on the screen of the monitor.

For easy and simple organization of your notes, you can move any of the records to the different folders by using Drag & Drop technology. You can drag any note to the desired folder.


Notes - adding new note

To add a new note in the Notes section, press the [image] button or double click the left mouse button on an empty line in the Notes area. You may also use the Ins or Ctrl + N Hot Keys.

You will see a new note as a sticker on the screen.

If the note is created inside a group, the group name and 2 buttons are displayed at the top of the sticker. By pressing the [image] button, you can toggle the option of showing a note "Always on top" of all windows on your desktop. By pressing [image] button, the note will close, saving the information. If you have not entered any information, a record will not be created.

At the bottom of the sticker, the date and time of the last change of a note is displayed.

If you press or click the right mouse button on the colored bar at the top of the note window, you will see a popup menu where you can change the color, toggle the "Always on top" and "Show scroll bar" options, and close or delete a note.


Notes - editing note

To edit a note in the Notes section, press the [image] button or double click the left mouse button on the title of the note in the Notes area. You may also use the Enter or Ctrl + E Hot Keys.

You will see this note as sticker on the screen. You can change the text, color, or size of the note etc.

For more detailed information see Notes - adding new note.


Notes - adding new folder

Notes - adding new group

To create a new group in Notes section, press the [image] button. You may also use the Ctrl + Ins or Ctrl + G Hot Keys.

You will then see a window where you can enter the group name.

Enter any group name and save information.


Notes - editing folder

Notes - editing group

To edit a group name in the Notes section, press the [image] button or double click the left mouse button on the title of this group in Notes area. You may also use the Enter or Ctrl + E Hot Keys.

The edit window where you may change the group name will open.

Change group name and save information.

Note:

Before editing a group, please close all open notes that belong to this group.


Notes - deleting records or folders

Notes - deleting records or group

To delete any record or group in the Notes section, press the [image] button. You may also delete a record by using Del or Ctrl + D Hot Keys.

Warning:

If you delete a group, all records inside this group also will be deleted.


Notes - print

To print records in the Notes section, press the [image] button. You may also use the Ctrl + P Hot Keys.

The dialog box with the printing options will appear.

In this window, you can specify whether you want to print the current note or all the notes in the selected group and report file destination. After selecting an option, press the "OK" button, and the print preview window will open.


Events overview

The Events section is created for storage of the information about holidays and other events that are important to you. For convenient usage and better organization, you can store the events in various folders. For example, you can create groups named "Holidays", "Important dates", etc. and place the appropriate events into them.

The built-in reminder system will remind you of upcoming events for the number of days set by you.

In the Events area, you will see information about the title of an event, the nearest date of the event (if event repeats), the amount of days left, and the day of the week for the nearest event date.

You can move any of the records to different folders by using Drag & Drop technology. You can drag any event to the desired folder.


Events - adding new record

For adding a new record in the Events section, press the [image] button or double click the left mouse button on an empty line in Events area. You may also use the Ins or Ctrl + N Hot Keys.

You will see a window to enter all information about the event.

The description of fields for information input:

  • Group title - the group name in which this event record is being created. This field is "read only". If the event record is created outside a group, this field will be empty.

  • Record title - this information is displayed in the Events area.

  • Description - the detailed information about event.

  • Day - the calculated information about of event date. For example, the first Monday of October.

  • Date - the fixed date of the event.

  • Repeat - - repeating interval for the event. Choices are: "One time" (no repeating), "Daily", "Weekly", "Monthly", "Annually".

  • Remind at - mark this check box if you want to get an advance reminder about this event and set up number of days for the advance reminder.

After entering all information, press "Save" button.


Events - editing record

To edit a record in the Events section, press the [image] button or double click the left mouse button on the title of this event in the Events area. You may also use the Enter or Ctrl + E Hot Keys.

The edit window with the current information about the event will open. You may change information in this window.

For detailed information on the fields in this window, see Events - adding new record.


Events - adding new folder

Events - adding new group

To create a new group in the Events section, press the [image] button. You may also use the Ctrl + Ins or Ctrl + G Hot Keys.

You will see a window in which you may enter a group name.

Enter a group name and save information.


Events - editing folder

Events - editing group

To edit any group name in the Events section, press the [image] button or double click the left mouse button on the title of this group in Events area. You may also use the Enter or Ctrl + E Hot Keys.

The edit window in which you may change the group name will open.

Change group name and save information.


Events - deleting records or folders

Events - deleting records or groups

To delete any record or group in the Events section, press the [image] button. You may also delete a record by using Del or Ctrl + D Hot Keys.

Warning:

If you delete a group, all records inside of this group also will be deleted.


Events - reminder

If you have selected a reminder for an event, a reminder window will appear at the launch of the program a number of days before the event, and the sound assigned in Events Options will be played back.

This window shows the folder name that contains the event record, event title and description. You can move a reminder about this event to other day by selecting the check box "Remind again at" and selecting a different date.

Note:

If you do not need to move a reminder to another day, press the "OK" button and the reminder will be set to the next event date (if the event is repeating). You do not need to mark the "Remind Again at" check box again to set the next date for the event reminder.

If, on this day, you have several reminders about events, you can move between them by using [image] and [image] buttons.

You may view and edit records from the reminder window. To open a record, press the "Open" button.


Events - print

To print records in section Events, press the [image] button. You may also use the Ctrl + P Hot Keys.

The dialog box with the printing options will appear.

In this window, you can specify whether you want to print the current record or all records for in the selected group and report file destination. After selecting an option, press the "OK" button and the print preview window will open.


General options

General options include the program run settings and the delete confirmation settings.

Run settings:

  • Run C-Organizer at startup - enables or disables the launching of C-Organizer at Windows startup. If this option is marked, the program will launch at each start of Windows.

  • Show splash screen at startup - enables or disables showing the splash screen at each start of the program.

  • Open C-Organizer at run - if the given option is marked, the program will open on your desktop at each start. If this option is not marked, the program will be minimized to the system tray at start.

Delete confirmation:

  • The option "Confirmation before deleting an entry" - enables or disables the display of a prompt window when you delete a record.


Backup options

In Backup options you can enable or disable the AutoBackup feature and customize AutoBackup settings.

Mark "Run AutoBackup every" checkbox to enable AutoBackup feature, then select the amount of days for which you want to create the backup copy of C-Organizer databases.

Backup file - this option lets you to set the destination path of C-Organizer backup file. Press [image] button and select destination.

The option "Show confirmation before AutoBackup" enables or disables the display of a prompt window when AutoBackup is started.


Notifications options

In Notifications options you can select desired type of the notifications: show messages on the screen or send E-Mail notifications (if you've selected this option - all reminders will be sent by E-Mail) and customize E-Mail notifications settings.

E-Mail notifications settings:

  • Host - outgoing mail (SMTP) server.

  • User ID - the account name your Internet service provider has given you (to connect to SMTP server).

  • From address - an E-Mail address, which will be displayed as "sender". (You will receive C-Organizer E-Mail notifications from this E-Mail address).

  • To address - an E-Mail address to send the notifications (all notifications will be sent to this E-Mail address).

Press "Test" button to send the test message to entered E-Mail address.

Note: You must have an active Internet connection to send the E-Mail notifications.


Tasks List options

In Tasks List options you can enable or disable the playback of a sound file at a task reminder time. Mark or unmark the "Play sound" check box.

You can select the sound file for playback by pressing the [image] button. If you want to test the selected file, press the [image] button.

The option "Delete entries after" allows the program to delete tasks that are older than the parameters set here. This is done so that the program performance is not slowed down by large tasks databases. It also increases the space on the hard disk.

The option "Show confirmation before creating a new task" enables or disables the display of a prompt window when you create a new task.


Address Book options

In Address Book options you can enable or disable the playback of a sound file at a birthday reminder time. Mark or unmark the "Play sound" check box.

You can select the sound file for playback by pressing the [image] button. If you want to test the selected file, press the [image] button.

The option "Remind me about birthdays at" lets you set the number of advance days to receive a reminder.

The option "Show confirmation before creating a new record" enables or disables the display of a prompt window when you create a new address record.


Alarm options

In Alarm options you can enable or disable the playback of a sound file when you receive an alarm. Mark or unmark the "Play sound" check box.

You can select the sound file for playback by pressing the [image] button. If you want to test the selected file, press the [image] button.

The option "Show alarm window and play sound for" sets the length of time for the alarm window to show and the sound to play.

If "Show alarms on the calendar" checkbox is marked - near to the calendar dates for which you have created alarms, picture [image] will be shown.

If "Delete alarm if it has been used or has expired" checkbox is marked - all used and expired alarms will be deleted.

If "Close alarm window automatically" checkbox is marked - alarm window will be closed automatically in the settled time.


Notes options

In Notes options you can preset the default color for a new note.

If the "Random" option is selected, the background color for each new note will be selected at random.

If "Initial color" option is "Selected", each new note will have the background color which you chose from the dropdown list.

Use the "Font" option to set a typeface, size and color of the font for the notes text.

The option "Show confirmation before creating a new note" enables or disables the display of a prompt window when you create a new note.


Events options

In Events options you can enable or disable the playback of a sound file at an event reminder time. Mark or unmark the "Play sound" check box.

You can select the sound file for payback by pressing the [image] button. If you want to test the selected file, press the [image] button.

"Initial options" allow you to set defaults for creating new event records:

Repeat - sets the default repeating interval of events.

Remind at - sets the default advance number of days for event reminders. These values will be set for each new record.

The option "Show confirmation before creating a new record" enables or disables the display of a prompt window when you create a new event.


How protect information by password

How to protect information by password

The program can be password-protected to limit the access to your personal information.

Password protection can be used by registered users only.

To activate this function, select "Tools-> Password protect" from the program's main menu.

You will see the window to enter the password.

Enter your password into both boxes (to verify the password) and press the "OK" button.

You can access the program only by entering the password. Each time you run the main window of the program, the password will be requested.

To cancel password protection, select from the main menu Tools-> Password protect. If the password protection is active, this item is checked. Click to remove the check mark.

After that, the password will not be requested at the opening of the main window.


Import

Import function enables you to transfer data from various sources into C-Organizer.

To open the Import dialog box, select Import... on the File menu (in the main window of the program).

Importing consists of several simple steps:

Step1

Source format

Select the format of the imported file: text files (*.csv; *.txt) or C-Organizer files up to the version 2.0 (*.cds).

Source file

Select the file to import by pressing the [image] button.

Destination

Specify the database to which you want to import the information. Destination will be determined automatically if you import C-Organizer files up to the version 2.0.

Import into group

This option is available for the Address Book, Notes and Events. Mark this checkbox and fill the group name to import an information into appropriate group.

If you selected to import C-Organizer files up to version 2.0 (*.cds), there are no other steps to follow. Press the "Import" button and you will see the dialog box showing the import progress indicator. After completing the import, the appropriate message will appear.

If you selected to import text files (*.csv; *.txt), press "Next" button.

Step 2

In this window you will see the table with the information obtained from the selected file. If the information is recognized as being incorrect, try to change the value of a field separator.

After that, press the "Next" button.

Step 3

At this step you should map the Source fields (at the left) with the Destination fields (at the right). For this purpose, select an appropriate field at the left and at the right, and then press the "Add" button. The selected fields will appear in the list of the mapped fields (at the bottom of dialog box).

In C-Organizer, only information from mapped fields will be imported. The Source fields and the Destination fields with the identical names will be mapped automatically.

Warning:

When importing into the Address Book, information from the fields that are not mapped will be added to the database "As Is".

Also read the information about required fields for import at the bottom of import window.

After that, press the "Import" button, and you will see the dialog box with the process indicator.

After completing the import, the appropriate message will appear.


Export

The Export function is used to transfer information from C-Organizer to other programs. It exports the data in the file which can be processed by means of other programs.

To do this, select the File -> Export… menu item of C-Organizer main window.

After that you will see the export dialog box.

In this window select the file format for export (CSV or XML),and specify the file name to which you want to export the information (by pressing the [image] button).

Use the "What to export" options to select the information you want to export.

After that, press the "Export" button.

You will see a progress indicator of the import at the bottom of the window.

After completing the process, you will see the appropriate message.


Backup

The Backup function is used to create a backup copy of C-Organizer databases. It creates a CAB archive file which contains the selected databases of the program. You can use this file to restore the databases if it will be necessary.

To make a backup copy, select the File -> Backup… menu item of C-Organizer main window.

After that you will see the Backup dialog box.

Use the "What to backup" option to select the information you want to backup, and specify the file name to which you want to backup the information (by pressing the [image] button).

After that, press "OK" button.

You will see a progress indicator of the backup at the bottom of the window.

After completing the process, you will see the appropriate message.

Note: C-Organizer can make a backup copies automatically. Please see a Backup options help topic for more details.


Restore

Use the Restore function to restore of C-Organizer databases from the previously created backup copy.

To restore C-Organizer databases, select the File -> Restore… menu item of C-Organizer main window.

After that you will see the Restore dialog box.

Use the "What to restore" option to select the information you want to restore, and specify the file name from which you want to restore the information (by pressing the [image] button).

After that, press "OK" button.

You will see a progress indicator of the restore at the bottom of the window.

After completing the process, you will see the appropriate message.

Note: C-Organizer can restore the databases automatically, if the files of databases will not be detected at program start.


Today overview

This additional function of C-Organizer displays tasks for reminder, birthdays and events for selected day. To view this information, select View-> Today, a main menu item or doubleclick the desired day on the program's calendar.

The information about tasks will be shown only if the reminder about these tasks will happen today.

The information about birthdays and events is displayed even if you have not set a reminder for this birthday or event.

If there are additional tasks, events or birthdays for the current day, you can view the additional records as well. Move between the records by means of the [image] and [image] buttons.


Copyright and license

The C-Organizer Professional is "try-before-you-buy" software. This means:

  • CSoftLab exclusively owns all copyrights to C-Organizer Professional.

  • Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use C-Organizer Professional, you MUST register.

  • Once registered, the user is granted a non-exclusive license to use C-Organizer Professional on one computer, (i.e. a single CPU), for any legal purpose, at a time. The registered C-Organizer Professional software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

  • The C-Organizer Professional unregistered evaluation version may be freely distributed, if the distribution package is not modified. No person or company may charge a fee for the distribution of C-Organizer Professional without written permission from the copyright holder.

  • C-Organizer Professional IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

CSoftLab reserves all rights not expressly granted here.

Installing and using C-Organizer Professional signifies acceptance of these terms and conditions of the license.

If you do not agree with the terms of this license, you must remove C-Organizer Professional files from your storage devices and cease to use the product.

E-mail: support@CSoftLab.com

Web: http://www.CSoftLab.com


How to register?

You can register our products either online or by using one of the alternative ordering methods, such as phone, mail, via fax, by check, cash, or bank/wire transfer.

For Registration, go to this page: http://www.CSoftLab.com/registration.html,find the product you'd like to buy in the table and press the Buy Now link under the product title.

Or you can go directly to the order page:

http://shareit1.element5.com/programs.html?productid=167247&language=English to register via ShareIt registration service

or

https://www.regnow.com/softsell/nph-softsell.cgi?item=6637-2 to register via RegNow registration service

Our products are delivered electronically. Online orders are fulfilled within 24 hours.

The registration key is sent by e-mail.

If you've made a payment, but haven't got a confirmation letter with your serial number (registration code) within a reasonable amount of time (one business day for credit card payments or two weeks for other payments), please notify us about that!

sales@CSoftLab.com

Our registration services:

US customers:

RegNow!, is the most respected software registration and order-taking firm in the US.

Register Now! P.O. Box 1816 Issaquah, WA 98027, USA

European customers:

ShareIt!, is the most convenient secure software registration service on the Internet.

ShareIt! Element 5 AG Vogelsanger Str. 48, 50823 Koeln, GERMANY

After receiving of your licence information, select Help -> Registration menu item of C-Organizer main window.

Note: This menu item is absent in the registered version.

After that you will see the Registration dialog box.

Please fill your Licence name and Licence code in appropriate boxes and press "OK" button.

C-Organizer will be closed to complete the registration. Please run the program again.


Limitations of evaluation version

The evaluation version of C-Organizer Professional is almost fully functional. However, it can be used during 30 days after installation and has only one limitation:

  • the password protect feature is not available.

We can also provide only limited support (and with low priority) to unregistered users. After the registration, you'll get the registration key (serial number), which will remove the time limitation and allow you to protect your information by password.

Your registration is valid for all C-Organizer Professional versions. Being a registered user, you receive program updates free-of-charge and highly-prioritized technical support.


Technical support

We are always ready to help our customers. If you are experiencing any difficulties with C-Organizer, don't hesitate to e-mail support service at:

support@CSoftLab.com

Feedback:

Your suggestions, ideas, comments are of great importance for us. We want our software to meet your needs, and the most wanted features will be included in future versions. You are welcome:

support@CSoftLab.com

When submitting a bug report try following these rules:

  • Provide the software title and version.

  • Provide the windows version and system configuration.

  • Describe a bug, using as many details as possible.

  • Describe the sequence of actions that leads to the bug